Subject: [Detnet] minor changes to align mpls with ip data plane docs

From: Lou Berger <[email-masked]>
Date: Sun, 12 Jul 2020 10:34:47 -0400

Hi,

A number of changes were made to draft-ietf-detnet-ip as it went through 
IESG review (see 
https://tools.ietf.org/rfcdiff?difftype=--hwdiff&url2=draft-ietf-detnet-ip-07.txt). 
I've taken a pass at making parallel changes to draft-ietf-detnet-mpls 
in anticipation of similar comments.   The changes can be found below or 
at https://github.com/detnet-wg/data-plane-drafts/pull/105/files

Please send comments/objections.  (I'll leave it to the editor, Balázs 
on when to merge/upload.)

Thanks,

Lou

(as contributor)

commit 15d8c33cea6a58a35481a2c7dcc10760344f58fc
Author: Lou Berger <[email-masked]>
Date:   Sun Jul 12 10:21:31 2020 -0400

     mpls: editorial changes to match changes made to the IP document 
during IESG review

diff --git a/mpls/draft-ietf-detnet-mpls.xml 
b/mpls/draft-ietf-detnet-mpls.xml
index 2d23103..0929843 100644
--- a/mpls/draft-ietf-detnet-mpls.xml
+++ b/mpls/draft-ietf-detnet-mpls.xml
@@ -88,7 +88,10 @@
    <abstract>
     <t>
       This document specifies the Deterministic Networking data plane
-     when operating over an MPLS Packet Switched Networks.
+     when operating over an MPLS Packet Switched Network.  It leverages
+     existing pseudowire (PW) encapsulations and MPLS Traffic
+     Engineering encapsulations and mechanisms.  This document builds on
+     the DetNet Architecture and Data Plane Framework.
     </t>
    </abstract>
    </front>
@@ -99,7 +102,7 @@

    <t>
      Deterministic Networking (DetNet) is a service that can be offered
-    by a network to DetNet flows.  DetNet provides these flows extremely
+    by a network to DetNet flows.  DetNet provides these flows with 
extremely
      low packet loss rates and assured maximum end-to-end delivery
      latency.  General background and concepts of DetNet can be found in
      <xref target="RFC8655"/>.
@@ -442,7 +445,7 @@ DFx = DetNet member flow x over a TE LSP
      encapsulation.  The MPLS-based encapsulation of the DetNet flows
      is well suited for the scenarios described in
      <xref target="I-D.ietf-detnet-data-plane-framework"/>.
-    Furthermore, an end to end DetNet
+    Furthermore, an end-to-end DetNet
      service i.e., native DetNet deployment (see <xref
      target="sec_mpls_dt_dp_scen"/>) is also possible if DetNet end
      systems are capable of initiating and termination MPLS encapsulated
@@ -841,10 +844,13 @@ DFx = DetNet member flow x over a TE LSP
           LSP.  Typical mechanisms used to provide different treatment to
           different flows includes the allocation of system resources
           (such as queues and buffers) and provisioning or related
-         parameters (such as shaping, and policing). Support can also be
+         parameters (such as shaping, and policing) that may be found in
+         implementations of <xref target="RFC2205">Resource ReSerVation 
Protocol
+       (RSVP)</xref> (RSVP) and RSVP-TE <xref target="RFC3209"/> and
+       <xref target="RFC3473"/>. Support can also be
           provided via an underlying network technology such IEEE802.1
           TSN <xref target="I-D.ietf-detnet-mpls-over-tsn"/>.
-         The specific mechanisms used by a DetNet node to ensure DetNet
+         The specific mechanisms selected by a DetNet node to ensure DetNet
           service delivery requirements are met for supported DetNet
           flows is outside the scope of this document.
         </t>
@@ -1205,6 +1211,9 @@ DFx = DetNet member flow x over a TE LSP
          space are out of scope of this document.
          There are particular DetNet considerations and requirements that
          are discussed in <xref 
target="I-D.ietf-detnet-data-plane-framework"/>.
+    Conformance language is not used in the summary since it applies to
+    future mechanisms such as those that may be provided in signaling
+    and YANG models, e.g., <xref target="I-D.ietf-detnet-yang"/>.
    </t>
    <section anchor="mc_summary_ssl"
           title="Service Sub-Layer Information Summary">
@@ -1361,12 +1370,10 @@ DFx = DetNet member flow x over a TE LSP

  <section title="Security Considerations">
    <t>
-   General security considerations
-   are described in <xref target="RFC8655"/>.
-   Additionally, security considerations and a threat analysis are 
described in
-   <xref target="I-D.ietf-detnet-security"/>.
-   This section
-   considers security considerations which are specific to the DetNet
+   Detailed security considerations for DetNet are cataloged in
+   <xref target="I-D.ietf-detnet-security"/>, and more general security 
considerations
+   are described in <xref target="RFC8655"/>. This section
+   considers exclusively security considerations which are specific to 
the DetNet
     MPLS data plane. The considerations raised related to MPLS networks
     in general in <xref target="RFC5920"/> are equally applicable to the
     the DetNet MPLS data plane.
@@ -1376,14 +1383,22 @@ DFx = DetNet member flow x over a TE LSP
     provide the specific quality of service aspects of DetNet, which are
     primarily to deliver data flows with extremely low packet loss rates
     and bounded end-to-end delivery latency.
+       Achieving such loss rates and bounded latency may not be possible
+       in the face of a highly capable adversary, such as the one
+       envisioned by the Internet Threat Model of BCP 72 that can
+       arbitrarily drop or delay any or all traffic.  In order to
+       present meaningful security considerations, we consider a
+       somewhat weaker attacker who does not control the physical links
+       of the DetNet domain, but may have the ability to control a
+       network node within the boundary of the DetNet domain.
      </t>
      <t>
-    The primary considerations for the data plane is to maintain
+    The primary consideration for the DetNet data plane is to maintain
      integrity of data and delivery of the associated DetNet service 
traversing
      the DetNet network.
-    Application flows can be protected through whatever means is
+    Application flows can be protected through whatever means are
      provided by the underlying technology. For example, encryption may be
-    used, such as that provided by IPSec <xref target="RFC4301"/> for IP
+    used, such as that provided by IPsec <xref target="RFC4301"/> for IP
      flows and/or by an underlying sub-net using MACSec
      <xref target="IEEE802.1AE-2018"/> for IP over Ethernet (Layer-2) 
flows.
      </t>
@@ -1487,6 +1502,7 @@ DFx = DetNet member flow x over a TE LSP
     <?rfc include="reference.I-D.ietf-detnet-ip-over-mpls"?>
     <?rfc include="reference.I-D.ietf-detnet-mpls-over-tsn"?>
     <?rfc include="reference.I-D.ietf-detnet-security"?>
+   <?rfc include="reference.I-D.ietf-detnet-yang"?>
     <reference anchor="IEEE802.1AE-2018"
        target="https://ieeexplore.ieee.org/document/8585421">
        <front>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sun, 12 Jul 2020 11:39:48 -0400

Lou,

Thanks for taking the initiative!

Cheers,
Andy

On Sun, Jul 12, 2020 at 10:36 AM Lou Berger <[email-masked]> wrote:

> _______________________________________________
> detnet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet
>

---

From: Jeong-dong Ryoo <[email-masked]>
Date: Thu, 23 Jul 2020 01:05:07 +0900 (KST)

Hi,

Those changes are all good to me.

In addition, I would appreciate if my comments presented in https://mailarchive.ietf.org/arch/msg/detnet/WF5Gd8NxU6GjlQFB5GgZcU4ErPE/ can be reflected when the mpls data plane draft is revised. 

Best regards,

Jeong-dong

-----Original Message-----
From:  "Lou Berger" <[email-masked]>
To:     "DetNet WG" <[email-masked]>; 
Cc:     "Balázs Varga A" <[email-masked]>; 
Sent:  2020-07-12 (일) 23:36:15 (UTC+09:00)
Subject: [Detnet] minor changes to align mpls with ip data plane docs

Hi,

Thanks,

Lou

(as contributor)

    <t>

---

From: Balázs Varga A <[email-masked]>
Date: Sun, 26 Jul 2020 11:47:12 +0000

Hi Jeong-dong,

The newest version (https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls/) resolves
Your comments as well.
> Regarding the process of resolving the suggestions/comments that I sent, I am not 
> sure if the RFC-Editor can change the text since some of the comments are not straight 
> forward to incorporate, such as the ones on 3rd paragraph of Section 1, 4th paragraph 
> of Section 1, and 1st paragraph of Section 4.1.

In particular:
- 3rd paragraph of Section 1,       (DONE)
- 4th paragraph of Section 1,       (no need for action as draft-ip refers to mpls as a sub-net,
and that is what we intend to highlight, not the actual encapsulation.)
- 1st paragraph of Section 4.1.    (DONE)

All the others are editorial or typo issues, they will be corrected with the RFC-Editor.

Thanks
Bala'zs

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Wednesday, July 22, 2020 6:05 PM
To: DetNet WG <[email-masked]>; Lou Berger <[email-masked]>
Cc: Balázs Varga A <[email-masked]>
Subject: RE: [Detnet] minor changes to align mpls with ip data plane docs

Hi,

Best regards,

Jeong-dong

-----Original Message-----
From:  "Lou Berger" <[email-masked]>
To:     "DetNet WG" <[email-masked]>; 
Cc:     "Balázs Varga A" <[email-masked]>; 
Sent:  2020-07-12 (일) 23:36:15 (UTC+09:00)
Subject: [Detnet] minor changes to align mpls with ip data plane docs

Hi,

A number of changes were made to draft-ietf-detnet-ip as it went through IESG review (see https://tools.ietf.org/rfcdiff?difftype=--hwdiff&url2=draft-ietf-detnet-ip-07.txt). 
I've taken a pass at making parallel changes to draft-ietf-detnet-mpls in anticipation of similar comments.   The changes can be found below or at https://protect2.fireeye.com/v1/url?k=9c1cf202-c2bc3044-9c1cb299-86fc6812c361-8b924918478eda84&q=1&e=c58037a0-70d1-4916-8535-d42fa770f968&u=https%3A%2F%2Fgithub.com%2Fdetnet-wg%2Fdata-plane-drafts%2Fpull%2F105%2Ffiles

Please send comments/objections.  (I'll leave it to the editor, Balázs on when to merge/upload.)

Thanks,

Lou

(as contributor)

     mpls: editorial changes to match changes made to the IP document during IESG review

diff --git a/mpls/draft-ietf-detnet-mpls.xml b/mpls/draft-ietf-detnet-mpls.xml index 2d23103..0929843 100644
--- a/mpls/draft-ietf-detnet-mpls.xml
+++ b/mpls/draft-ietf-detnet-mpls.xml
@@ -88,7 +88,10 @@
    <abstract>
     <t>
       This document specifies the Deterministic Networking data plane
-     when operating over an MPLS Packet Switched Networks.
+     when operating over an MPLS Packet Switched Network.  It leverages
+     existing pseudowire (PW) encapsulations and MPLS Traffic
+     Engineering encapsulations and mechanisms.  This document builds 
+on
+     the DetNet Architecture and Data Plane Framework.
     </t>
    </abstract>
    </front>
@@ -99,7 +102,7 @@

    <t>
      systems are capable of initiating and termination MPLS encapsulated @@ -841,10 +844,13 @@ DFx = DetNet member flow x over a TE LSP
+         parameters (such as shaping, and policing) that may be found 
+in
+         The specific mechanisms selected by a DetNet node to ensure 
+DetNet
           title="Service Sub-Layer Information Summary"> @@ -1361,12 +1370,10 @@ DFx = DetNet member flow x over a TE LSP

-   Additionally, security considerations and a threat analysis are described in
+       Achieving such loss rates and bounded latency may not be 
+possible
      integrity of data and delivery of the associated DetNet service traversing
+    used, such as that provided by IPsec <xref target="RFC4301"/> for 
+IP
      <xref target="IEEE802.1AE-2018"/> for IP over Ethernet (Layer-2) flows.

---

From: Jeong-dong Ryoo <[email-masked]>
Date: Mon, 27 Jul 2020 10:51:28 +0900 (KST)

Bala'zs,

Thank you for the updates. 
I agree that the remaining items are just simple editorial errors.

Best regards,

Jeong-dong

-----Original Message-----
From:  "Balázs Varga A" <balazs.a.varga=[email-masked]>
To:     "[email-masked]" <[email-masked]>;  "DetNet WG" <[email-masked]>;  "Lou Berger" <[email-masked]>; 
Cc:    
Sent:  2020-07-26 (일) 20:47:46 (UTC+09:00)
Subject: Re: [Detnet] minor changes to align mpls with ip data plane docs

Hi Jeong-dong,

In particular:

Thanks
Bala'zs

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Wednesday, July 22, 2020 6:05 PM
To: DetNet WG <[email-masked]>; Lou Berger <[email-masked]>
Cc: Balázs Varga A <[email-masked]>
Subject: RE: [Detnet] minor changes to align mpls with ip data plane docs

Hi,

Best regards,

Jeong-dong

-----Original Message-----
From:  "Lou Berger" <[email-masked]>
To:     "DetNet WG" <[email-masked]>; 
Cc:     "Balázs Varga A" <[email-masked]>; 
Sent:  2020-07-12 (일) 23:36:15 (UTC+09:00)
Subject: [Detnet] minor changes to align mpls with ip data plane docs

Hi,

Thanks,

Lou

(as contributor)

    <t>